Recuvix
Docsv1.0
← Back to App
Systems v1.0 Operational

CORE

POST/api/blog/generatePOST/api/outline/generatePOST/api/titles/suggest

SEO

POST/api/seo/meta

VOICE

POST/api/voice/transcribe
POST/api/blog/generate

Generate Blog Post

Generates a complete SEO-optimized blog post from a topic. Streams the response via SSE. Includes blog HTML, images, and SEO metadata.

Requires Auth
Streaming SSE
Uses Credits

Request Body

ParameterTypeRequiredDescription
topicstringRequiredBlog topic or title. Min 5 chars, max 200 chars.
countrystringRequiredTarget country for SEO. e.g. "india", "usa".
tonestringOptionalWriting tone.
Default: professional
wordCountnumberOptionalTarget word count. Range: 300-5000.
Default: 1500
outputFormatstringOptionalOutput file format.
Default: html
llmProviderstringRequiredAI provider to use.
apiKeystringRequiredProvider API key (if BYOK mode).
includeAiImagesbooleanOptionalWhether to generate AI-sourced images.
Default:
includeThumbnailbooleanOptionalWhether to create a blog thumbnail.
Default:

Response Schema

FieldTypeDescription
type
enum
Event type.
text
string
The generated text chunk.
wordCount
number
Total word count (on done).

Common Error Codes

INVALID_API_KEYKey is wrong or expired

How to fix: Re-enter in Settings

RATE_LIMITEDLLM rate limit hit

How to fix: Wait 60 seconds

INSUFFICIENT_CREDITSNo credits remaining

How to fix: Buy credits

Sample Requests

Interactive Playground

Try It
Production

Response will appear here